import React from 'react';
import { MouseEventHandler } from 'react';
import { SelectionType, PopoverChildrentype } from '../../types';
interface BaseHighlighterProps {
    htmlString: string;
    minSelectionLength?: number;
    maxSelectionLength?: number;
    className?: string;
    selectionWrapperClassName?: string;
    PopoverClassName?: string;
    PopoverChildren?: PopoverChildrentype;
    disablePopover?: boolean;
    /**
     * The highlight color for the component.
     * @type {string} - The color code. Default is red.
     */
    onClickHighlight?: (selection: SelectionType, event: MouseEvent) => void;
    onClick?: MouseEventHandler<HTMLDivElement>;
}
export declare const Highlighter: React.FC<BaseHighlighterProps>;
export {};
